import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data";
import {GrowCardItem} from "@/views/dashboard/analysis/data";
import {dependencyRelationshipColumns1} from "@/views/taskScheduling/taskFlowMaintenance/periodicScheduling/periodicScheduling.data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    businessId: 100,
    treeName: '全选',
    anotherName: '全选',
    parentId: 0,
  },
  {
    businessId: 201,
    treeName: '共享工作区',
    anotherName: '共享工作区',
    parentId: 100,
  },
  {
    businessId: 202,
    treeName: '商城工作区',
    anotherName: '商城工作区',
    parentId: 100,
  },
  {
    businessId: 203,
    treeName: 'admin个人工作区',
    anotherName: 'admin个人工作区',
    parentId: 100,
  },
];

/**主页面列表 数据1*/
export const tableData: any[] =[
  {
    id:1,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:2,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:3,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:4,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:5,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:6,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:7,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:8,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
  {
    id:9,
    schedulingTime:'2023-06-28 20:29:48',
    executionTime:'2023-06-28 20:30:48',
    executionDuration:'28s 636ms',
    runningStatus:'失败',
    executionCondition:'-',
    executionMode:'系统调度',
    executionVersion:'V5',
    executionInfo:'-',
    executionId:'49027'
  },
]
/**主页面列表 数据2*/
export const tableData2: any[] =[
  {
    id:1,
    conditionType:'触发条件',
    detail:'周期调度到达',
    satisfy:'满足',
  },
  {
    id:2,
    conditionType:'执行资源',
    detail:'已分配scheduler',
    satisfy:'满足',
  },
  {
    id:3,
    conditionType:'上游依赖',
    detail:'任务流:/共享工作区/依赖关系/有周\n' +
      '期/寻找依赖超时测试-上游任务流\n' +
      '执行记录ID：51200\n' +
      '调度时间:2024-01-30 11:36:00.000',
    satisfy:'等待',
  },
  {
    id:4,
    conditionType:'上游依赖',
    detail:'任务流:/共享工作区/依赖关系/有周\n' +
      '期/寻找依赖超时测试-上游任务流\n' +
      '执行记录ID：51221\n' +
      '调度时间:2024-01-31 12:15:00.000',
    satisfy:'等待',
  },
]
/**主页面 左侧List*/
export const treeData2:any[] = [
  {
    key: 2,
    desc: 'gxx/jira/test',
    title: 'test',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 3,
    desc: 'gxx/jira/90017-4',
    title: '90017-4',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 4,
    desc: 'gxx/jira/字段映射',
    title: '字段映射',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 5,
    desc: 'gxx/jira/wuqi_test',
    title: 'wuqi_test',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 6,
    desc: 'gxx/jira/目标端规则顺序生效问题',
    title: '目标端规则顺序生效问题',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 7,
    desc: 'gxx/jira/oracle-argo-吞如-单表-test',
    title: 'oracle-argo-吞如-单表-test',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 8,
    desc: 'admin-个人工作区/xuekai/多个映射规则配置',
    title: '多个映射规则配置',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
  {
    key: 9,
    desc: 'gxx/jira/oracle-mysql',
    title: 'oracle-mysql',
    icons: 'pepicons-pop:rewind-time',
    color: 'rgb(138, 101, 235)',
  },
]
/**详情页-任务列表数据*/
export const taskListData:any[] = [
  {
    id:1,
    taskName: 'new task',
    runStatus: '成功',
    executionCondition: '-',
    startTime: '2024-01-30 00:00:31',
    endTime: '2024-01-30 00:00:33',
    duration:'2s 230ms',
    executionVersion:'V1',
    executionId:'266336'
  },
  {
    id:2,
    taskName: 'new task_1',
    runStatus: '成功',
    executionCondition: '-',
    startTime: '2024-01-30 00:00:32',
    endTime: '2024-01-30 00:00:32',
    duration:'0ms',
    executionVersion:'V1',
    executionId:'266335'
  },
  {
    id:3,
    taskName: 'new task_10',
    runStatus: '成功',
    executionCondition: '-',
    startTime: '2024-01-30 00:00:36',
    endTime: '2024-01-30 00:00:36',
    duration:'0ms',
    executionVersion:'V1',
    executionId:'266334'
  },
  {
    id:4,
    taskName: 'new task_11',
    runStatus: '成功',
    executionCondition: '-',
    startTime: '2024-01-30 00:00:45',
    endTime: '2024-01-30 00:00:45',
    duration:'0ms',
    executionVersion:'V1',
    executionId:'266333'
  },

]
/**详情页-任务列表数据*/
export const detailTreeData:any[] = [
  {
    key: 1,
    desc: '',
    title: '任务流',
    icons: '',
    color: '',
    children:[
      {
        key: 2,
        desc: 'gxx/jira/test',
        title: 'test',
        icons: 'pepicons-pop:rewind-time',
        color: 'rgb(138, 101, 235)',
      },
    ]
  },
  {
    key: 3,
    desc: '',
    title: '任务',
    icons: '',
    color: '',
    children:[
      {
        key: 4,
        desc: 'gxx/jira/test',
        title: 'test',
        icons: 'pepicons-pop:rewind-time',
        color: 'rgb(138, 101, 235)',
      },
    ]
  },
]
/**详情页 依赖关系树1*/
export const relationshipTreeData1:any[] = [
  {
    key: 1,
    desc:'',
    title: '任务流',
    icons: '',
    color: '',
    children:[
      {
        key: 101,
        title: '寻找依赖超时测试-上游任务流',
        desc:'/共享工作区/依赖关系/寻找依赖超时测试-上游任务流',
        icons: 'tdesign:map-connection',
        uuid:'54bdd7525b3f41738d4c67cc6c4622b7',
        color: 'rgb(37, 94, 227)',
      },
    ]
  },
  {
    key: 2,
    title: '任务',
    desc:'',
    icons: '',
    color: '',
    children:[
      {
        key: 101,
        title: 'new task',
        desc:'/共享工作区/依赖关系/new task',
        icons: 'tdesign:map-connection',
        uuid:'54bdd7525b4i34h38d4c67sd7f847d7fd',
        color: 'rgb(37, 94, 227)',
      },
    ]
  },
]
/**详情页 依赖关系树2*/
export const relationshipTreeData2:any[] = [
  {
    key: 1,
    desc:'',
    title: '任务流',
    icons: '',
    color: '',
    children:[
      {
        key: 101,
        title: '寻找依赖超时测试-上游任务流',
        desc:'/共享工作区/依赖关系/寻找依赖超时测试-上游任务流',
        icons: 'tdesign:map-connection',
        uuid:'54bdd7525b3f41738d4c67cc6c4622b7',
        color: 'rgb(37, 94, 227)',
      },
    ]
  },
  {
    key: 2,
    title: '任务',
    desc:'',
    icons: '',
    color: '',
    children:[
      {
        key: 101,
        title: 'new task',
        desc:'/共享工作区/依赖关系/new task',
        icons: 'tdesign:map-connection',
        uuid:'54bdd7525b4i34h38d4c67sd7f847d7fd',
        color: 'rgb(37, 94, 227)',
      },
    ]
  },
]
/**详情页 依赖关系树3*/
export const relationshipTreeData3:any[] = [
  {
    key: 1,
    desc:'',
    title: '任务流',
    icons: '',
    color: '',
    children:[
      {
        key: 101,
        title: '寻找依赖超时测试-下游任务流',
        desc:'/共享工作区/依赖关系/寻找依赖超时测试-下游任务流',
        icons: 'tdesign:map-connection',
        uuid:'54bdd7525b3f41738d4c67cc6c4622b7',
        color: 'rgb(37, 94, 227)',
      },
    ]
  },
  // {
  //   key: 2,
  //   title: '任务',
  //   desc:'',
  //   icons: '',
  //   color: '',
  //   children:[
  //     {
  //       key: 101,
  //       title: 'new task',
  //       desc:'/共享工作区/依赖关系/new task',
  //       icons: 'tdesign:map-connection',
  //       uuid:'54bdd7525b4i34h38d4c67sd7f847d7fd',
  //       color: 'rgb(37, 94, 227)',
  //     },
  //   ]
  // },
]
/**详情页-关联关系列表数据1*/
export const dependencyRelationshipData1:any[] = [
  {
    businessId:'1',
    executeId:'51383',
    timeInfo1:'调度时间:2024-01-30 14:39:00',
    timeInfo2:'执行时间:2024-01-30 14:39:00',
    runState:'成功',
    executeMode:'系统调度'
  },
]
/**详情页-关联关系列表数据2*/
export const dependencyRelationshipData2:any[] = [
  {
    businessId:'1',
    executeId:'395157',
    timeInfo1:'调度时间:2024-01-30 14:39:00',
    timeInfo2:'执行时间:2024-01-30 14:40:00',
    runState:'成功',
  },
]
/**详情页-关联关系列表数据3*/
export const dependencyRelationshipData3:any[] = [
  {
    businessId:'1',
    executeId:'837437',
    timeInfo1:'调度时间:2024-01-30 14:39:00',
    timeInfo2:'执行时间:2024-01-30 14:40:00',
    runState:'成功',
    executeMode:'系统调度'
  },
]
