import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user";
import {relatedQualityColumns} from "@/views/dataStandards/basicStandards/basicStandards.data";
import {GrowCardItem} from "@/views/dashboard/analysis/data"; // 引入开关组件
type CheckedType = boolean | string | number;

/**主页面树/列表 数据*/
export const TreeData: any[] = [
  {
    businessId: 100,
    treeName: '全选',
    anotherName: '全选',
    parentId: 0,
  },
  {
    businessId: 201,
    treeName: '共享工作区',
    anotherName: '共享工作区',
    parentId: 100,
  },
  {
    businessId: 202,
    treeName: '商城工作区',
    anotherName: '商城工作区',
    parentId: 100,
  },
  {
    businessId: 203,
    treeName: 'admin个人工作区',
    anotherName: 'admin个人工作区',
    parentId: 100,
  },
];

/**主页面列表 数据*/
export const tableData: any[] =[
  {
    businessId:'1',
    supplyNumberName: 'bxwang-补数测试1',
    createBy:'admin',
    supplyNumberState: '已取消',
    createTime: '2024-01-01 08:00:00',
    completionTime: '2024-01-01 09:00:00',
    supplyNumberTime: '2024-01-01 09:00:00 - 2024-01-10 09:00:00',
  },
  {
    businessId:'2',
    supplyNumberName: '补数-WARP-94793',
    createBy:'admin',
    supplyNumberState: '已完成',
    createTime: '2024-01-01 08:00:00',
    completionTime: '2024-01-01 09:00:00',
    supplyNumberTime: '2024-01-01 09:00:00 - 2024-01-10 09:00:00',
  },
  {
    businessId:'3',
    supplyNumberName: '补数-WARP-94794',
    createBy:'admin',
    supplyNumberState: '已完成',
    createTime: '2024-01-01 08:00:00',
    completionTime: '2024-01-01 09:00:00',
    supplyNumberTime: '2024-01-01 09:00:00 - 2024-01-10 09:00:00',
  },
  {
    businessId:'4',
    supplyNumberName: '补数-0 0 * * * ? *',
    createBy:'admin',
    supplyNumberState: '已完成',
    createTime: '2024-01-01 08:00:00',
    completionTime: '2024-01-01 09:00:00',
    supplyNumberTime: '2024-01-01 09:00:00 - 2024-01-10 09:00:00',
  },
  {
    businessId:'5',
    supplyNumberName: '补数-0 1 * * * ? *',
    createBy:'admin',
    supplyNumberState: '已取消',
    createTime: '2024-01-01 08:00:00',
    completionTime: '2024-01-01 09:00:00',
    supplyNumberTime: '2024-01-01 09:00:00 - 2024-01-10 09:00:00',
  },
  {
    businessId:'6',
    supplyNumberName: 'TEST',
    createBy:'admin',
    supplyNumberState: '已取消',
    createTime: '2024-01-01 08:00:00',
    completionTime: '2024-01-01 09:00:00',
    supplyNumberTime: '2024-01-01 09:00:00 - 2024-01-10 09:00:00',
  },
]
/**新建任务列表 数据1*/
export const addTaskTableData1: any[] =[
  {
    businessId:'1',
    taskStreamName: 'QC12345',
    taskStreamLocation:'admin-个人工作区/demo',
  },
  {
    businessId:'2',
    taskStreamName: 'Smart financial modeling',
    taskStreamLocation:'admin-个人工作区/demo',
  },
  {
    businessId:'3',
    taskStreamName: 'Result data entry',
    taskStreamLocation:'admin-个人工作区/demo',
  },
  {
    businessId:'4',
    taskStreamName: 'Shed and huo area',
    taskStreamLocation:'admin-个人工作区/demo',
  },
]
/**新建任务列表 数据2*/
export const addTaskTableData2: any[] =[
  {
    businessId:'1',
    rangeTaskStream: 'QC12345',
    publishState:'已发布',
    chooseTaskStream:'',
    desc:'admin-个人工作区/demo'
  },
  {
    businessId:'2',
    rangeTaskStream: 'Smart financial modeling',
    publishState:'已发布',
    chooseTaskStream:'',
    desc:'admin-个人工作区/demo'
  },
  {
    businessId:'3',
    rangeTaskStream: 'Result data entry',
    publishState:'未发布',
    chooseTaskStream:'',
    desc:'admin-个人工作区/demo'
  },
  {
    businessId:'4',
    rangeTaskStream: 'Shed and huo area',
    publishState:'已发布',
    chooseTaskStream:'',
    desc:'admin-个人工作区/demo'
  },
]

